@extends('common')

@section('content')
@form_begin($form)
@csrf
@method('post')
<div class="auth">
    <div class="auth__form form">
        <span class="form__caption">{{ __('register::register.title') }}</span>
        @if(Session::has('message.registration_error'))
        <div class="validation-summary-errors">{!! Session::get('message.registration_error') !!}</div>
        @endif
        
        <div class="form__field field">
            <span class="field-validation-error"></span>
            <p>@form_label($form->field('email'))</p>
            @form_field($form->field('email'))
        </div>
        
        <div class="form__field field">
            <span class="field-validation-error"></span>
            <p>@form_label($form->field('phone'))</p>
            @form_field($form->field('phone'))
        </div>
        
        <div class="form__field field">
            <span class="field-validation-error"></span>
            <p>@form_label($form->field('password'))</p>
            @form_field($form->field('password'))
        </div>
        
        <div class="form__field field">
            <span class="field-validation-error"></span>
            <p>@form_label($form->field('password_confirm'))</p>
            @form_field($form->field('password_confirm'))
        </div>
        
        <div class="form__field field">
            <span class="field-validation-error"></span>
            @form_field($form->field('agree')) @form_label($form->field('agree'), '')
        </div>
        
        <button class="btn log-in-btn" type="submit">{{ __('common.continue') }}</button>
    </div>
    <div class="auth__links">
        <a href="/login" class="btn btn_gray btn_gray__reg_1">{{ __('register::register.open_login_form') }}</a>
    </div>
</div>
@form_end()
@endsection
